"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.plugins = exports.presets = exports.default = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _babelPluginConstEnum = _interopRequireDefault(require("babel-plugin-const-enum"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (0, _helperPluginUtils.declare)((api, {
  allExtensions = false,
  transform
}) => {
  api.assertVersion(7);

  if (typeof allExtensions !== 'boolean') {
    throw new Error('allExtensions option must be boolean|undefined');
  }

  const tsPlugins = [[_babelPluginConstEnum.default, {
    transform
  }]];
  return {
    overrides: [{
      presets,
      plugins
    }, {
      test: /\.tsx?$/,
      plugins: tsPlugins
    }]
  };
});

exports.default = _default;
const presets = [['@babel/env', {
  useBuiltIns: false,
  targets: {
    browsers: ['ie >= 11']
  }
}], '@babel/react', '@babel/preset-typescript', 'const-enum', '@babel/flow'];
exports.presets = presets;
const plugins = [require('@babel/plugin-transform-flow-strip-types'), require('@babel/plugin-proposal-optional-chaining'), require('@babel/plugin-proposal-class-properties'), require('@babel/plugin-proposal-object-rest-spread'), require('@babel/plugin-transform-async-to-generator'), require('@babel/plugin-syntax-dynamic-import'), require('@babel/plugin-transform-modules-commonjs')];
exports.plugins = plugins;